[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# power(Tvector3_extended,Tvector3_extended):extended

Calculate the internal product of two vectors.

## Declaration

Source position: matrix.pp line 398

`operator operator **(`
`const x: Tvector3_extended;`
`const y: Tvector3_extended`
`):extended;`

## Description

This operator returns the internal product of the two vectors, that is, the elements of the two vectors are element-wise multiplied, and then added together.